Name:           gonvert
Version:        0.2.24
Release:        %mkrel 1
Summary:        Units conversion utility
Group:          Sciences/Geosciences
License:        GPL+
URL:            http://unihedron.com/projects/gonvert
Source0:        http://unihedron.com/projects/gonvert/downloads/%{name}-%{version}.tar.gz
Patch0:         gonvert-desktop-icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
Requires:       python
Requires:       pygtk2.0-libglade
BuildArch:      noarch

%description
gonvert is a conversion utility that allows conversion between many units
like CGS, Ancient, Imperial with many categories like length, mass, numbers,
etc. All units converted values shown at once as you type. Easy to add/change
your own units. Written in Python, pygtk, libglade.


%prep
%setup -q

%patch0 -p0

# remove execute bits from doc files
chmod -x doc/*

# fix encoding on THANKS and TODO files
pushd doc >/dev/null
iconv -f iso8859-1 -t utf-8 THANKS > THANKS.conv && mv -f THANKS.conv THANKS
iconv -f iso8859-1 -t utf-8 TODO > TODO.conv && mv -f TODO.conv TODO
popd >/dev/null


%build
# there's nothing that needs built


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} install
rm -rf ${RPM_BUILD_ROOT}/%{_docdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Geosciences" \
  --dir $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/ $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/gonvert.desktop

mv $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/gonvert.desktop \
$RPM_BUILD_ROOT%{_datadir}/applications/gonvert.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}




%files
%defattr(-,root,root,-)
%doc doc/CHANGELOG doc/COPYING doc/FAQ doc/README doc/THANKS doc/TODO
%{_bindir}/gonvert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gonvert
%{_datadir}/pixmaps/gonvert*.png



%changelog
* Wed May 26 2010 Texstar <texstar at gmail.com> 0.2.24-1pclos2010
- import into pclos
- based on specfile from Fedora


